
#include <SDL.h>
#include <stdio.h>
#include "cool_mzx.h"

int main(int argc,char *argv[])
{
    static unsigned char moddi[2000000];
    FILE    *fp;

    SDL_Init(SDL_INIT_AUDIO);

    if(!mzx_init(44100, 4096))
    {
        SDL_Quit();
        fprintf(stderr,"MZX failure\n");
        return(0);
    }

    if((fp=fopen(argv[1],"rb"))==NULL)
    {
        SDL_Quit();
        fprintf(stderr,"Mod not found\n");
        return(0);
    }
    fread(moddi,1,2000000,fp);
    fclose(fp);
    mzx_get(moddi);
    mzx_start(1);

    while(1)
        SDL_Delay(1000);
}
